FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["ImageBoardServerApp/ImageBoardServerApp.csproj", "ImageBoardServerApp/"]
RUN dotnet restore "ImageBoardServerApp/ImageBoardServerApp.csproj"
COPY . .
RUN dotnet build "ImageBoardServerApp/ImageBoardServerApp.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "ImageBoardServerApp/ImageBoardServerApp.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "ImageBoardServerApp.dll"]
